
QGIS Application - Bug report #7421

"dissolve" never ends

2013-03-22 09:39 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16384

Description

On qgis master on Windows with the attached shapefile the operation never ends. On linux it seems to end, but the result is wrong, as it

has holes among other things.

History

#1 - 2013-03-22 10:18 AM - Giovanni Manghi

- File overlay_or_grid_floresta_singlepart.dbf added

- File overlay_or_grid_floresta_singlepart.shx added

- File overlay_or_grid_floresta_singlepart.shp added

- File overlay_or_grid_floresta_singlepart.prj added

attached another vector that causes the operation to never end (use the "b_floresta" field). In the first attached example you can test the "inters.shp" vector

and the "id_grid" attribute.

#2 - 2013-05-04 11:47 PM - vinayan Parameswaran

The input files contain geometry errors. Would it give correct results if those errors are fixed?

#3 - 2013-05-09 11:13 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

vinayan Parameswaran wrote:

The input files contain geometry errors. Would it give correct results if those errors are fixed?

at least now it finishes, even if it gives incorrect results (as the inputs have topological issues). But as the original issue is about the tool working at all or

not, then this can be closed.

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
Files

tests.zip 2.71 MB 2013-03-22 Giovanni Manghi

overlay_or_grid_floresta_singlepart.dbf 524 KB 2013-03-22 Giovanni Manghi

overlay_or_grid_floresta_singlepart.prj 427 Bytes 2013-03-22 Giovanni Manghi

overlay_or_grid_floresta_singlepart.shp 2.99 MB 2013-03-22 Giovanni Manghi

overlay_or_grid_floresta_singlepart.shx 34.8 KB 2013-03-22 Giovanni Manghi
